#include <bits/stdc++.h>
#pragma GCC push_options
#pragma GCC optimize("O3")
using namespace std;

int main()
{
    int a[200000];
    int b[200000];
    int cx[200000];

    int n,k,x;
    scanf("%d%d%d",&n,&k,&x);
    x--;
    for(int i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    b[n-1]=0;
    for(int i=n-2;i>=0;i--){
        b[i]=b[i+1]+a[i+1];
    }
    int l=0;
    long long int sum=0;
    vector<long long int> s(200000);
    for(int i=0;i<n-k+1;i++){
        sum=0;
        for(int j=i;j<i+k;j++){
            if(i==n-k)
                s[j-i]=b[j];
            else
            s[j-i]=(b[j]-b[i+k-1]);

            //printf("%d - %d * %d",b[j],b[i+k-1],k-j);
            //cout<<endl;
            //printf("%d ",s[j-i]);
        }
        //cout<<endl;
        sort(s.begin(),s.begin()+k);
        //for(int j=0;j<k;j++){
        //    printf("n%d ",s[j]);
        //}
        for(int j=i;j<i+k;j++){
            sum+=a[j];
        }

   //cout<<sum<<' ';
        for(int j=0;j<x;j++){
            sum+=s[k-j-1];
            //printf("add%d",s[k-j-1]);
        }

    cout<<sum<<' ';
    }
    /*
    for(int i=0;i<n-k;i++){
        cx[0]=-INT_MAX
        for(int j=i;j<i+k;i++){
            while((l<x)&&(b[j]*(k-j)<cx[l])){
                l++;
            }

        }
    }*/













}